﻿'
' Copyright (c) 2011, MindFusion LLC - Bulgaria.
'

Imports MindFusion.Charting.Wpf
Imports System.Windows.Media.Effects

Class Window1

    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        Dim ef As DropShadowEffect = New DropShadowEffect
        ef.Opacity = 0.7
        ef.ShadowDepth = 3
        ' Add any initialization after the InitializeComponent() call.
        lineChart1.Title = "Average Shares Price"
        lineChart1.TitleFontSize = 20
        lineChart1.LineType = LineType.Line

        Dim xValues As New DoubleCollection()

        For i As Integer = 0 To 499
            xValues.Add(i)
        Next

        Dim series1 As LineSeries = New LineSeries
        lineChart1.Series.Add(series1)
        series1.Effect = ef
        series1.Title = ""
        series1.XData = xValues
        series1.YData = generateData(1000)
        series1.Fills = New BrushCollection
        series1.Strokes = New BrushCollection
        series1.ScatterStrokes = New BrushCollection
        series1.ScatterSize = 13
        series1.StrokeThickness = 1
        series1.Strokes.Add(Brushes.Red)
        series1.Fills.Add(New SolidColorBrush(Color.FromRgb(209, 241, 210)))
        series1.ScatterStrokes.Add(New SolidColorBrush(Color.FromRgb(0, 174, 0)))
        series1.ScatterType = ScatterType.None

        Dim series2 As New LineSeries()
        series2.Effect = ef
        series2.XData = xValues
        series2.YData = generateData(500)
        series2.Fills = New BrushCollection
        series2.Strokes = New BrushCollection
        series2.ScatterStrokes = New BrushCollection
        series2.StrokeThickness = 1
        series2.Strokes.Add(Brushes.Blue)
        series2.ScatterStrokes.Add(New SolidColorBrush(Color.FromRgb(255, 255, 60)))
        series2.ScatterSize = 13
        series2.Fills.Add(New SolidColorBrush(Color.FromRgb(255, 255, 179)))
        series2.ScatterType = ScatterType.None
        lineChart1.Series.Add(series2)

        lineChart1.XAxes(0).Tick = 3
        lineChart1.XAxes(0).Title = ""
        lineChart1.XAxes(0).LabelType = LabelType.AutoScale
        lineChart1.XAxes(0).Interval = Double.NaN

        lineChart1.YAxes(0).Tick = 3
        lineChart1.YAxes(0).Title = ""
        lineChart1.YAxes(0).Interval = 200


        Dim legend As New ChartLegend()
        legend.Background = Brushes.White
        legend.BorderBrush = Brushes.Gray
        '  lineChart1.Legends.Add(legend);
        legend.Orientation = Orientation.Horizontal
        LayoutPanel.SetDock(legend, Dock.Bottom)
        legend.HorizontalAlignment = HorizontalAlignment.Center

    End Sub

    Private Function generateData(ByVal seed As Integer) As DoubleCollection
        Dim result As New DoubleCollection()
        Dim ran As New Random(seed)

        For i As Integer = 0 To 499
            Dim num As Double = CDbl(ran.[Next](0, 500))
            result.Add(num)
        Next

        Return result
    End Function

    Private Sub btnZoomOut_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)

        lineChart1.ZoomOut()

    End Sub

    Private Sub btnResetZoom_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)

        lineChart1.ResetZoom()

    End Sub
End Class
